# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "doe"
version = "0.3.34"
authors = ["Andrew <dnrops@outlook.com>"]
description = "doe is a powerful Rust crate designed to enhance development workflow by providing an extensive collection of useful macros and utility functions. It not only simplifies common tasks but also offers convenient features for clipboard management,state management,keyboard input, and mouse interaction."
homepage = "https://dnrops.gitee.io"
documentation = "https://docs.rs/doe"
readme = "README.md"
keywords = [
    "useful",
    "macro",
    "keyboard",
    "mouse",
    "clipboard",
]
categories = [
    "development-tools",
    "simulation",
    "date-and-time",
    "accessibility",
    "filesystem",
]
license = "MIT"
repository = "https://gitlab.com/andrew_ryan/doe"

[package.metadata.docs.rs]
all-features = true
features = [
    "process",
    "ctf",
    "clip",
    "xlsx",
    "docx",
    "date",
    "mouse",
    "keyboard",
    "kcm",
    "screenshot",
    "images",
]

[dependencies.base64]
version = "0.21.2"
optional = true

[dependencies.chrono]
version = "0.4.31"
optional = true

[dependencies.clipboard]
version = "0.5.0"
optional = true

[dependencies.crossterm]
version = "0.27.0"
optional = true

[dependencies.directories]
version = "5.0.1"
optional = true

[dependencies.hex]
version = "0.4.3"
optional = true

[dependencies.icns]
version = "0.3.1"
optional = true

[dependencies.ico]
version = "0.3"
optional = true

[dependencies.image]
version = "0.24.7"
optional = true

[dependencies.lazy_static]
version = "1.4.0"
optional = true

[dependencies.mouse-rs]
version = "0.4.2"
optional = true

[dependencies.percent-encoding]
version = "2.1.0"
optional = true

[dependencies.rand]
version = "0.8.5"
optional = true

[dependencies.regex]
version = "1.10.2"
optional = true

[dependencies.reqwest]
version = "0.11.22"
features = ["blocking"]
optional = true

[dependencies.scraper]
version = "0.17.1"
optional = true

[dependencies.screenshots]
version = "0.8.6"
optional = true

[dependencies.serde_json]
version = "1.0.107"
optional = true

[dependencies.umya-spreadsheet]
version = "1.0.2"
optional = true

[dependencies.unicode-segmentation]
version = "1.10.1"
optional = true

[dependencies.xdotool]
version = "0.0.2"
optional = true

[dependencies.xml-rs]
version = "0.8.19"
optional = true

[dependencies.zip]
version = "0.6.6"
optional = true

[features]
clip = [
    "clipboard",
    "x11-clipboard",
    "cocoa",
    "objc",
    "clipboard-win",
]
ctf = [
    "hex",
    "base64",
    "percent-encoding",
    "unicode-segmentation",
    "reqwest",
    "serde_json",
    "rand",
    "regex",
    "scraper",
]
date = [
    "chrono",
    "regex",
]
docx = [
    "zip",
    "xml-rs",
]
images = [
    "image",
    "ico",
    "icns",
]
kcm = [
    "keyboard",
    "clip",
    "mouse",
]
keyboard = [
    "core-graphics",
    "core-foundation",
    "xdotool",
    "winapi",
    "libc",
    "crossterm",
]
mouse = [
    "mouse-rs",
    "keyboard",
    "libc",
]
process = ["winapi"]
screenshot = [
    "screenshots",
    "image",
]
xlsx = ["umya-spreadsheet"]

[target."cfg(target_os = \"linux\")".dependencies.libc]
version = "0.2.98"
optional = true

[target."cfg(target_os = \"macos\")".dependencies.cocoa]
version = "0.24.0"
optional = true

[target."cfg(target_os = \"macos\")".dependencies.core-foundation]
version = "0.9.3"
optional = true

[target."cfg(target_os = \"macos\")".dependencies.core-graphics]
version = "0.23.1"
optional = true

[target."cfg(target_os = \"macos\")".dependencies.objc]
version = "0.2.7"
optional = true

[target."cfg(target_os = \"macos\")".dependencies.x11-clipboard]
version = "0.8.1"
optional = true

[target."cfg(target_os = \"windows\")".dependencies.clipboard-win]
version = "5.0.0"
optional = true

[target."cfg(target_os = \"windows\")".dependencies.winapi]
version = "0.3.9"
features = [
    "winuser",
    "impl-default",
    "libloaderapi",
    "processthreadsapi",
    "handleapi",
    "psapi",
    "tlhelp32",
    "winbase",
]
optional = true
